SDL_MS_TO_NS(3)

NAME
SDL_MS_TO_NS - Convert milliseconds to nanoseconds.

HEADER FILE
Defined in SDL3/SDL_timer.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_MS_TO_NS(MS)        (((Uint64)(MS)) * SDL_NS_PER_MS)

DESCRIPTION
This only converts whole numbers, not fractional milliseconds.

RETURN VALUE
Returns MS, expressed in nanoseconds.

THREAD SAFETY
It is safe to call this macro from any thread.

AVAILABILITY
This macro is available since SDL 3.2.0.